[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TLBGetColorsEvent

Specifies an event handler signalled to get the available colors for a TColorListBox control.

## Declaration

Source position: colorbox.pas line 168

`type TLBGetColorsEvent = procedure(`
`Sender: TCustomColorListBox;`
`Items: TStrings`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`Items` |  | TStrings instance where the available color captions and values captions are stored.

## Description

TLBGetColorsEvent is the type used to implement the OnGetColors property in TCustomColorListBox.

## See also

TCustomColorListBox.OnGetColors |  | OnGetColors - event handler for the instruction to get colors.
TCustomColorListBox.SetColorList |  | Loads the list of colors used in the control.
TCustomColorListBox.PickCustomColor |  | Selects a custom color using a color dialog.
TColorBoxStyles |  | Represents the available colors and the name display style used in color controls.
GetColorValues |  | Executes the specified procedure for each of the non-deprecated Color names defined for the platform.